#
# Conditional build:
%bcond_without	doc	# Sphinx documentation
%bcond_with	tests	# unit tests

%define	module	zope.exceptions
Summary:	Zope Exceptions
Summary(pl.UTF-8):	Zope Exceptions - wyjątki Zope
Name:		python3-%{module}
Version:	5.2
Release:	1
License:	ZPL v2.1
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/zope-exceptions/
Source0:	https://files.pythonhosted.org/packages/source/z/zope.exceptions/zope.exceptions-%{version}.tar.gz
# Source0-md5:	26167cb6f437f39a8299fcf2c6af0021
URL:		https://www.zope.org/
BuildRequires:	python3 >= 1:3.8
BuildRequires:	python3-setuptools
%if %{with tests}
BuildRequires:	python3-zope.interface
BuildRequires:	python3-zope.testrunner
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
%if %{with doc}
BuildRequires:	sphinx-pdg-3
BuildRequires:	python3-repoze.sphinx.autointerface
%endif
Requires:	python3-modules >= 1:3.8
Requires:	python3-zope-base
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package contains exception exceptions and implementations which
are so general purpose that they don't belong in Zope
application-specific packages.

%description -l pl.UTF-8
Ten pakiet zawiera wyjątki oraz implementacje wyjątków, mających na
tyle ogólne zastosowanie, że nie należą do żadnego z pakietów Zope
specyficznych dla aplikacji.

%package apidocs
Summary:	API documentation for Python zope.exceptions module
Summary(pl.UTF-8):	Dokumentacja API modułu Pythona zope.exceptions
Group:		Documentation

%description apidocs
API documentation for Python zope.exceptions module.

%description apidocs -l pl.UTF-8
Dokumentacja API modułu Pythona zope.exceptions.

%prep
%setup -q -n zope.exceptions-%{version}

%build
%py3_build

%if %{with tests}
%{__python3} -m zope.testrunner --test-path=src
%endif

%if %{with doc}
PYTHONPATH=$(pwd)/src \
%{__make} -C docs html \
	SPHINXBUILD=sphinx-build
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES.rst COPYRIGHT.txt LICENSE.txt README.rst
%{py3_sitescriptdir}/zope/exceptions
%{py3_sitescriptdir}/zope.exceptions-%{version}-py*.egg-info
%{py3_sitescriptdir}/zope.exceptions-%{version}-py*-nspkg.pth

%if %{with doc}
%defattr(644,root,root,755)
%files apidocs
%doc docs/_build/html/{_static,*.html,*.js}
%endif
%changelog
* Mon Apr 21 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-zope.exceptions.git;a=log;h=master

* Mon Apr 21 2025 Jakub Bogusz <qboosh@pld-linux.org> a7ce9f0
- cleanup

* Mon Apr 21 2025 Jakub Bogusz <qboosh@pld-linux.org> 30fcf6a
- python-zope.exceptions.spec updated to 5.2 for python 3.8+

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> 69a2a5e
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> 259bece
- python 3.13 rebuild

* Sun Sep 24 2023 Jakub Bogusz <qboosh@pld-linux.org> 4217ca4
- updated to 4.6

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> e9c9e39
- rebuild with tests and docs

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 5312cd1
- rebuild with python 3.10

* Tue Feb 22 2022 Jakub Bogusz <qboosh@pld-linux.org> ad84c7e
- updated to 4.5
- versioned Obsoletes

* Tue Mar 09 2021 Jan Rękorajski <baggins@pld-linux.org> d6a804f
- noarch package
- rel 3

* Sat Mar 06 2021 Jan Palus <atler@pld-linux.org> 37b44a5
- disable debug packages; rel 2

* Sun Dec 29 2019 Jakub Bogusz <qboosh@pld-linux.org> 5a397db
- package apidocs

* Sun Dec 29 2019 Jakub Bogusz <qboosh@pld-linux.org> c68ac94
- updated to 4.3

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> a8b7e65
- rebuild with python 3.8
- release 4 (by relup.sh)

* Sun Jul 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> ee4e915
- release 3 (by relup.sh)

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> c6dcd06
- python 3.6
- release 2 (by relup.sh)

* Tue Dec 27 2016 Jacek Konieczny <j.konieczny@eggsoft.pl> 8ba5e1d
- python2/python3 bconds fixes

* Tue Dec 27 2016 Jacek Konieczny <j.konieczny@eggsoft.pl> e081423
- renamed to python-zope.exceptions, Py3 support

* Tue Dec 27 2016 Jacek Konieczny <j.konieczny@eggsoft.pl> 8e88bdb
- new package

